Use -e in deploy.sh to catch failures earlier

Change-Id: Iee1aff223e3dd8de302faab400052973e1e474e3
diff --git a/y2019/vision/tools/deploy.sh b/y2019/vision/tools/deploy.sh
index 86cd49f..3c16b03 100755
--- a/y2019/vision/tools/deploy.sh
+++ b/y2019/vision/tools/deploy.sh
@@ -1,4 +1,6 @@
 #!/bin/sh
+set -e
+
 echo "Building executables"
 readonly BAZEL_OPTIONS="-c opt --cpu=armhf-debian"
 readonly BAZEL_BIN="$(bazel info ${BAZEL_OPTIONS} bazel-bin)"